public class DeleteAppListResponseBody
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
Long |
code
The HTTP status code. 2XX indicates that the request was successful. 3XX indicates that the request was redirected. 4XX indicates that a request error occurred. 5XX indicates that a server error occurred.
|
String |
data
The returned message.
|
String |
message
The error message returned when the request parameters are invalid.
|
String |
requestId
The request ID.
|
Boolean |
success
Indicates whether the specified applications are deleted.
|
| 构造器和说明 |
|---|
DeleteAppListResponseBody() |
| 限定符和类型 | 方法和说明 |
|---|---|
static DeleteAppListResponseBody |
build(Map<String,?> map) |
Long |
getCode() |
String |
getData() |
String |
getMessage() |
String |
getRequestId() |
Boolean |
getSuccess() |
DeleteAppListResponseBody |
setCode(Long code) |
DeleteAppListResponseBody |
setData(String data) |
DeleteAppListResponseBody |
setMessage(String message) |
DeleteAppListResponseBody |
setRequestId(String requestId) |
DeleteAppListResponseBody |
setSuccess(Boolean success) |
@NameInMap(value="Code") public Long code
The HTTP status code. 2XX indicates that the request was successful. 3XX indicates that the request was redirected. 4XX indicates that a request error occurred. 5XX indicates that a server error occurred.
example:200
@NameInMap(value="Data") public String data
The returned message.
example:"{\"code\":200,\"data\":\"{\\\"code\\\":200,\\\"data\\\":true,\\\"errorCode\\ \":\\\"Deletion of application successful\\\",\\\"Message\\\":\\\"Deletion of application successful\\\",\\\"Successful\\\":true,\ \\"traceId\\\":\\\"0bc1667516940677164677396d0088\\\"}\",\"errorCode\":\"Batch deletion of applications successful\",\"message\":\"Batch deletion of applications successful\ ",\"Success\":true,\"traceId\":\"210f470416940677161213505e0e7a\"}"
@NameInMap(value="Message") public String message
The error message returned when the request parameters are invalid.
example:"Deletion of application successful"
@NameInMap(value="RequestId") public String requestId
The request ID.
example:4B446DF2-3DDD-4B5B-8E3F-D5225120****
@NameInMap(value="Success") public Boolean success
Indicates whether the specified applications are deleted. Valid values:
true: The applications are deleted.false: The applications failed to be deleted.true
public static DeleteAppListResponseBody build(Map<String,?> map) throws Exception
Exceptionpublic DeleteAppListResponseBody setCode(Long code)
public Long getCode()
public DeleteAppListResponseBody setData(String data)
public String getData()
public DeleteAppListResponseBody setMessage(String message)
public String getMessage()
public DeleteAppListResponseBody setRequestId(String requestId)
public String getRequestId()
public DeleteAppListResponseBody setSuccess(Boolean success)
public Boolean getSuccess()
Copyright © 2024. All rights reserved.